declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE CUSTOM_FILTER_ENTITY
  (
  ID                             NUMERIC(16)          NOT NULL,
  NAME                           VARCHAR(128),
  VALUE                    		 VARCHAR(256)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
	ALTER TABLE CUSTOM_FILTER_ENTITY
    ADD CONSTRAINT CUSTOM_FILTER_ENTITY_PK
    PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON CUSTOM_FILTER_ENTITY TO IGA;
GRANT ALL ON CUSTOM_FILTER_ENTITY TO IGACONN;
GRANT SELECT ON CUSTOM_FILTER_ENTITY TO REP;
GRANT SELECT ON CUSTOM_FILTER_ENTITY TO AA;

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat :=
'CREATE SEQUENCE CUSTOM_FILTER_ENTITY_SEQ
    AS NUMERIC(18)
    START WITH 100
    INCREMENT BY 1
    MINVALUE 100
    MAXVALUE 999999999999999999
    CACHE 1000
    NO CYCLE
    NO ORDER
    ';	

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CUSTOM_FILTER_ENTITY' );

GRANT USAGE ON SEQUENCE CUSTOM_FILTER_ENTITY_SEQ TO IGA;
GRANT USAGE ON SEQUENCE CUSTOM_FILTER_ENTITY_SEQ TO IGACONN;
GRANT SELECT ON SEQUENCE CUSTOM_FILTER_ENTITY_SEQ TO REP;
GRANT SELECT ON SEQUENCE CUSTOM_FILTER_ENTITY_SEQ TO AA;

