declare
  stat        varchar(2048);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		create table REQ_FILE_DATA(		 
		ID	decimal(16,0) not null ,
		FILENAME	varchar(128),
		FILEDATA	blob,
		FILETYPE	varchar(128),
		FILESIZE 	decimal(16,0),
		S_USER 	decimal(16,0) ,
		CURRENTROLE	varchar(255),
		ARCHIVEDSTATUS	decimal(1,0) not null with default 0,
		CHECKSUM	varchar(255),
		UPLOADEDON timestamp(0) with default SYSIBM.timestamp(current timestamp)
		)
		IN &DATA_TABLESPACE
		INDEX IN &INDEX_TABLESPACE
		LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		create table REQ_FILE_ASSOC(ID decimal(16,0) not null,REQUEST decimal(16,0),REQ_FILE_DATA decimal(16,0))
		IN &DATA_TABLESPACE
		INDEX IN &INDEX_TABLESPACE
		LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
---------Primary Key Contraints----------

declare
  stat        varchar(256);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
		alter table REQ_FILE_DATA 
		add constraint RFD_FILEID_PK
		primary key (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
		alter table REQ_FILE_ASSOC 
		add constraint RFD_REQFILEID_PK
		primary key (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

--------------------------Foreign Key Contraints-------------


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table REQ_FILE_DATA
		add constraint RFD_USERID_FK foreign key(S_USER)
		references S_USER(ID)
		on delete set null 
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table REQ_FILE_ASSOC
		add constraint RFA_FILEID_FK foreign key(REQ_FILE_DATA)
		references REQ_FILE_DATA(ID)
		on delete set null
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table REQ_FILE_ASSOC
		add constraint RFA_REQUESTID_FK foreign key(REQUEST)
		references REQUEST(ID)
		on delete cascade
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

---------------------------Sequences-------

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat :='
		create sequence REQ_FILE_DATA_SEQ
		as numeric(18)
		start with 1
		increment by 1
		minvalue 1
		maxvalue 999999999999999999
		no cache
		no cycle
		no order
    ';	

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat :='
		create sequence REQ_FILE_ASS_SEQ
		as numeric(18)
		start with 1
		increment by 1
		minvalue 1
		maxvalue 999999999999999999
		no cache
		no cycle
		no order
    ';	

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
