declare
  stat        varchar(2048);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		CREATE TABLE ENTITLEMENT_HIER_REVIEW_H
		(	ID DECIMAL(16,0) NOT NULL,
			ENTITLEMENT_REVIEW_H DECIMAL(16,0),
			ENTITLEMENT DECIMAL(16,0), 
			ENTITLEMENT_NAME VARCHAR(256),
			HIER_TYPE DECIMAL(1,0), 
			HIER_ENTITLEMENT_ID DECIMAL(16,0), 
			HIER_ENTITLEMENT_NAME VARCHAR(256),
			ATTESTATION_NAME VARCHAR(256), 
			INT_TYPE DECIMAL(16,0)
		)
		IN &DATA_TABLESPACE
		INDEX IN &INDEX_TABLESPACE
		LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


---------Primary Key Contraints----------

declare
  stat        varchar(256);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
		alter table ENTITLEMENT_HIER_REVIEW_H 
		add constraint ENTITLEMENT_HIER_REVIEW_H_PK
		primary key (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


--------------------------Foreign Key Contraints-------------


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table ENTITLEMENT_HIER_REVIEW_H
		add constraint ENTITLEMENT_HIER_REVIEW_H_FK foreign key(ENTITLEMENT_REVIEW_H)
		references ENTITLEMENT_REVIEW_H(ID)
		on delete set null 
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

---------------------------Sequences-------

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat :='
		create sequence ENTITLEMENT_HIER_REVIEW_H_SEQ
		as numeric(18)
		start with 1
		increment by 1
		minvalue 1
		maxvalue 999999999999999999
		no cache
		no cycle
		no order
    ';	

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
