declare
  stat        varchar(2048);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		create table CONNECTOR_FILTERS(		 
		ID				decimal(16,0) NOT NULL ,		
		CONNECTOR 		decimal(16,0) NOT NULL,
		ENABLED 		decimal(1,0) not null with default 0,
		FILTER_TYPE 	decimal(1,0) not null with default 0,
		FILTER_SUB_TYPE decimal(1,0) not null with default 0,
		FILTER_DATA 	VARCHAR(512),
		CREATION_USER 	VARCHAR(128),
		CREATION_DATE 	DATE DEFAULT CURRENT_DATE,
		LAST_MOD_USER 	VARCHAR(128),
		LAST_MOD_TIME 	DATE DEFAULT CURRENT_DATE		
		)
		IN &DATA_TABLESPACE
		INDEX IN &INDEX_TABLESPACE
		LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


---------Primary Key Contraints----------

declare
  stat        varchar(256);
  exception1  exception;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
		alter table CONNECTOR_FILTERS 
		add constraint CONNECTOR_FILTERS_PK
		primary key (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/



--------------------------Foreign Key Contraints-------------


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table CONNECTOR_FILTERS
		add constraint CONNECTOR_FILTERS_FK foreign key(CONNECTOR)
		references CONNECTOR(ID)
		on delete cascade 
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

---------------------------Sequences-------

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat :='
		create sequence REQ_CONNECTOR_FILTERS_SEQ
		as numeric(18)
		start with 1
		increment by 1
		minvalue 1
		maxvalue 999999999999999999
		no cache
		no cycle
		no order
    ';	

  execute immediate (stat);

exception
  when exception1 then null;

end;
/