declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_ADAPTER_OPERATIONS
  (
    ID 							VARCHAR(256)			NOT NULL,
    PROFILE_NAME 				VARCHAR(256)		    NOT NULL,
    NAME 						VARCHAR(256)		    NOT NULL,
    OPERATION 					VARCHAR(100)			NOT NULL,
    CONFIG 						CLOB(2M)				NOT NULL,
    ASSEMBLYLINE 				CLOB(2M)				NOT NULL,
    CREATED_TIME 				TIMESTAMP(6)			DEFAULT CURRENT_TIMESTAMP NOT NULL
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
	ALTER TABLE IB_RE_ADAPTER_OPERATIONS ADD 
 	 CONSTRAINT IB_RE_ADAPTER_OPERATIONS_PK
 	 PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX ADAPTER_OPER_PROFILE_NAME_IDX ON IB_RE_ADAPTER_OPERATIONS 
  (PROFILE_NAME) 
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX ADAPTER_OPER_NAME_IDX ON IB_RE_ADAPTER_OPERATIONS 
  (NAME)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_ADAPTER_OPERATIONS' );

GRANT ALL ON IB_RE_ADAPTER_OPERATIONS TO ITIMUSER;
GRANT SELECT ON IB_RE_ADAPTER_OPERATIONS TO IDEAS_REPORT;

