declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_SERVICE_PROFILES
  (
    ID 							VARCHAR(1024) 			NOT NULL,
    NAME 						VARCHAR(256) 			NOT NULL,
    CUSTOM_CLASS 				VARCHAR(256) 			NOT NULL,
    CATEGORY					VARCHAR(256) 			NOT NULL,
    PROFILE 					CLOB(2097152) 			NOT NULL,
    CREATED_TIME 				TIMESTAMP(6) 			DEFAULT CURRENT_TIMESTAMP NOT NULL
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_PROFILES ADD 
    CONSTRAINT IB_RE_SERVICE_PROFILES_PK
   PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX SERVICE_PROF_NAME_IDX ON IB_RE_SERVICE_PROFILES 
  (NAME)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX SERVICE_PROF_CUST_CLASS_IDX ON IB_RE_SERVICE_PROFILES 
  (CUSTOM_CLASS)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_SERVICE_PROFILES' );

GRANT ALL ON IB_RE_SERVICE_PROFILES TO ITIMUSER;
GRANT SELECT ON IB_RE_SERVICE_PROFILES TO IDEAS_REPORT;

