declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_SERVICES
  (
    ID 								VARCHAR(256) 			NOT NULL,
    NAME 							VARCHAR(512),
    PROFILE 						VARCHAR(256),
    SERVICE 						CLOB(2097152)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SERVICES ADD 
    CONSTRAINT IB_RE_SERVICES_PK
   PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX SERVICE_NAME_IDX ON IB_RE_SERVICES 
  (NAME)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE INDEX SERVICE_PROFILE_IDX ON IB_RE_SERVICES 
  (PROFILE)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_SERVICES' );

GRANT ALL ON IB_RE_SERVICES TO ITIMUSER;
GRANT SELECT ON IB_RE_SERVICES TO IDEAS_REPORT;

