declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_SERVICE_STATUS 
  (
    SERVICE_ID 					VARCHAR(256) 			NOT NULL,
    STATUS 						CLOB(1048576)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_STATUS ADD 
    CONSTRAINT IB_RE_SERVICE_STATUS_PK
   PRIMARY KEY (SERVICE_ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_STATUS ADD
    CONSTRAINT FK_INV_SERVICE_ID
   FOREIGN KEY (SERVICE_ID)
   REFERENCES IB_RE_SERVICES (ID) ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_SERVICE_STATUS' );

GRANT ALL ON IB_RE_SERVICE_STATUS TO ITIMUSER;
GRANT SELECT ON IB_RE_SERVICE_STATUS TO IDEAS_REPORT;

