declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_GROUPS
  (
    EXTERNAL_ID 				VARCHAR(256) 							NOT NULL,
    ID 							VARCHAR(1024),
    TARGET_ID 					VARCHAR(256),
    DISPLAY_NAME 				VARCHAR(1024),
    DISPLAY_NAME_LOWER 			VARCHAR(1024) 							GENERATED ALWAYS AS (LOWER(DISPLAY_NAME)) ,
    CREATED_TIME 				VARCHAR(256),
    LAST_MODIFIED_TIME 			VARCHAR(256),
    EXTERNAL_ATTRS 				CLOB(1048576) 							INLINE LENGTH 2048 NOT NULL,
    PROFILE_URL 				VARCHAR(256),
    DN 							VARCHAR(1024) 							NOT NULL UNIQUE,
    DIGEST 						VARCHAR(64) 							NOT NULL,
    VERSION 					BIGINT
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
  
declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_GROUPS ADD 
    CONSTRAINT IB_RE_GROUPS_PK
   PRIMARY KEY (EXTERNAL_ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX GROUP_TARGET_ID_IDX ON IB_RE_GROUPS 
  (TARGET_ID, ID)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX GROUP_TAR_DISP_NAME_LOWER_IDX ON IB_RE_GROUPS 
  (TARGET_ID, DISPLAY_NAME_LOWER)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_GROUPS' );

GRANT ALL ON IB_RE_GROUPS TO ITIMUSER;
GRANT SELECT ON IB_RE_GROUPS TO IDEAS_REPORT;

