declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_GROUP_MEMBERS 
  ( 
    GROUP_EXTERNAL_ID 			VARCHAR(256),
    MEMBER_EXTERNAL_ID 			VARCHAR(256),
    TYPE 						VARCHAR(64)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE IB_RE_GROUP_MEMBERS ADD
    CONSTRAINT FK_INV_GROUP_ID
   FOREIGN KEY (GROUP_EXTERNAL_ID)
   REFERENCES IB_RE_GROUPS (EXTERNAL_ID) ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX GROUP_GROUP_ID_IDX ON IB_RE_GROUP_MEMBERS
  (GROUP_EXTERNAL_ID) 
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_GROUP_MEMBERS' );

GRANT ALL ON IB_RE_GROUP_MEMBERS TO ITIMUSER;
GRANT SELECT ON IB_RE_GROUP_MEMBERS TO IDEAS_REPORT;

