declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_SUPPORTING_DATA
  (
    EXTERNAL_ID 				VARCHAR(256) 			NOT NULL,
    ID 							VARCHAR(1024),
    NAME 						VARCHAR(1024) 			NOT NULL,
    OBJECT_CLASS 				VARCHAR(256)			NOT NULL,
    TARGET_ID 					VARCHAR(128) 			NOT NULL,
    SUPPORTING_DATA_JSON 		CLOB(1M) 				INLINE LENGTH 2048 NOT NULL,
    DIGEST 						VARCHAR(64) 			NOT NULL,
    CREATED_TIME 				TIMESTAMP(6)		 	DEFAULT CURRENT_TIMESTAMP NOT NULL,
    UPDATED_TIME 				TIMESTAMP(6)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

 declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SUPPORTING_DATA ADD 
    CONSTRAINT IB_RE_SUPPORTING_DATA_PK
   PRIMARY KEY (EXTERNAL_ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IB_RE_SUPPORTING_DATA_NAME ON IB_RE_SUPPORTING_DATA
  (NAME) 
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IB_RE_SUPPORTING_DATA_TARGETID ON IB_RE_SUPPORTING_DATA
  (TARGET_ID) 
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_SUPPORTING_DATA' );

GRANT ALL ON IB_RE_SUPPORTING_DATA TO ITIMUSER;
GRANT SELECT ON IB_RE_SUPPORTING_DATA TO IDEAS_REPORT;

