declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_USERS (
    ID 								VARCHAR(256) 			NOT NULL,
    EXTERNAL_ID 					VARCHAR(256)			NOT NULL,
    TARGET_ID 						VARCHAR(256) 			NOT NULL,
    CREATED 						TIMESTAMP(6) 			DEFAULT CURRENT_TIMESTAMP NOT NULL,
    LAST_MODIFIED 					TIMESTAMP(6) 			DEFAULT CURRENT_TIMESTAMP NOT NULL,
    USER_NAME 						VARCHAR(256),
    USER_NAME_LOWER 				VARCHAR(256)			GENERATED ALWAYS AS (LOWER(USER_NAME)) ,
    FORMATTED_NAME 					VARCHAR(512),
    FAMILY_NAME 					VARCHAR(256),
    GIVEN_NAME 						VARCHAR(256),
    MIDDLE_NAME 					VARCHAR(256),
    HONORIFIC_PREFIX 				VARCHAR(128),
    HONORIFIC_SUFFIX 				VARCHAR(128),
    DISPLAY_NAME 					VARCHAR(256),
    NICK_NAME 						VARCHAR(256),
    PROFILE_URL 					VARCHAR(512),
    TITLE 							VARCHAR(256),
    USER_TYPE 						VARCHAR(256),
    PREFERRED_LANGUAGE 				VARCHAR(64),
    LOCALE 							VARCHAR(64),
    TIMEZONE 						VARCHAR(64),
    ACTIVE 							VARCHAR(8),
    EMPLOYEE_NUMBER 				VARCHAR(256),
    COST_CENTER 					VARCHAR(256),
    ORGANIZATION 					VARCHAR(256),
    DIVISION 						VARCHAR(256),
    DEPARTMENT 						VARCHAR(256),
    MANAGER 						VARCHAR(256),
    DIGEST 							VARCHAR(64),
    SERIALIZED_VALUE 				CLOB(1M) 				INLINE LENGTH 2048,
    SERIALIZATION_TYPE 				VARCHAR(16),
    VERSION 						VARCHAR(64)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

 declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_USERS ADD 
    CONSTRAINT IB_RE_USERS_PK
   PRIMARY KEY (EXTERNAL_ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
  CREATE INDEX IB_X_RE_USERS_USER_NAME ON IB_RE_USERS 
  (TARGET_ID, USER_NAME_LOWER) 
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_USERS' );

GRANT ALL ON IB_RE_USERS TO ITIMUSER;
GRANT SELECT ON IB_RE_USERS TO IDEAS_REPORT;

