declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_USER_ATTRS (
    ID 							VARCHAR(256) 			NOT NULL,
    USER_EXTERNAL_ID 			VARCHAR(256) 			NOT NULL,
    TARGET_ID 					VARCHAR(256) 			NOT NULL,
    RELATION 					VARCHAR(256) 			NOT NULL,
    VALUE 						VARCHAR(1024),
    TYPE 						VARCHAR(128),
    PRIM	 					VARCHAR(8),
    DISPLAY 					VARCHAR(256),
    REF 						VARCHAR(512)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_USER_ATTRS ADD 
    CONSTRAINT IB_RE_USER_ATTRS_PK
   PRIMARY KEY (ID)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE IB_RE_USER_ATTRS ADD
    CONSTRAINT IB_FK_RUAU_EXTERNAL_ID
   FOREIGN KEY (USER_EXTERNAL_ID)
   REFERENCES IB_RE_USERS (EXTERNAL_ID) ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_ADAPTER_OPERATIONS' );

GRANT ALL ON IB_RE_USER_ATTRS TO ITIMUSER;
GRANT SELECT ON IB_RE_USER_ATTRS TO IDEAS_REPORT;

