declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_TYPE VARCHAR(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_ID NUMERIC(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_NAME VARCHAR(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD STATUS VARCHAR(64) DEFAULT ''N/A''
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD STATUS_REASON VARCHAR(256) DEFAULT ''N/A''
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN AUDIT_LOG.SOURCE_TYPE IS
'Used to represent the type of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.SOURCE_ID IS
'Used to represent the id of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.SOURCE_NAME IS
'Used to represent the name of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.STATUS IS
'Used to represent the status of the operation';

COMMENT ON COLUMN AUDIT_LOG.STATUS_REASON IS
'Used to represent the reason of an operation failure';

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE AUDIT_LOG' );
