declare
  rq_id            numeric(16);
  rq_name          varchar2(256) := 'Fulfillment Status DB';
  rqd              clob;
  counter          numeric(16);

begin


  rqd := 'select t.fulfillment_status as fulfillment_status, count(1) as status_count
'||'  from (select case
'||'                 when pp.status = 0 then
'||'                  ''Pending''
'||'                 when pp.status = 1 then
'||'                  ''Assignment - Pending Fulfillment''
'||'                 when pp.status = 2 then
'||'                  ''Assignment - Aligned''
'||'                 when pp.status = 3 then
'||'                  ''Assignment - Failed Fulfillment''
'||'                 when pp.status = 4 then
'||'                  ''Assignment - Target Originated''
'||'                 when pp.status = 11 then
'||'                  ''Removal - Pending Fulfillment''
'||'                 when pp.status = 12 then
'||'                  ''Removal - Aligned''
'||'                 when pp.status = 13 then
'||'                  ''Removal - Failed Fulfillment''
'||'                 when pp.status = 14 then
'||'                  ''Removal - Target Originated''
'||'                 else
'||'                  ''Unknown''
'||'               end as fulfillment_status
'||'          from #pmschema#.person_profile pp
'||'          left join #pmschema#.entitlement e
'||'            on pp.profile = e.id
'||'          left join #pmschema#.application a
'||'            on e.application = a.id,
'||'            #pmschema#.person p,
'||'            #pmschema#.organizational_unit ou,
'||'            #pmschema#.Target t,
'||'            #pmschema#.Pwdcfg pc,
'||'            #schema_tmp#.tmp_rep_application tmpa,
'||'            #schema_tmp#.tmp_rep_organizational_unit tmpou
'||'         where pp.person = p.id
'||'           and p.organizational_unit = ou.id
'||'           and pp.target = t.value
'||'           and t.pwdcfg = pc.id
'||'           and (pc.sync = 2 or pc.sync = 1)
'||'           and a.id = tmpa.id
'||'           and ou.id = tmpou.id) t
'||' group by t.fulfillment_status
';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  if ( counter = 1 ) then
    select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
    update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/
commit;
