@echo off

setlocal

if "%DB2_SERVER%"=="" (
  set DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
)

if "%SCHEMA_PWD%"=="" (
  set SCHEMA_PWD=ideas
)

if ["%DB2_HOME%"]==[""] (
  set DB2_HOME=c:\Program Files\IBM\SQLLIB
)

if ["%CLPPLUS_CMD%"]==[""] (
  set CLPPLUS_CMD=%DB2_HOME%\bin\clpplus
)

set CURRENT_DIR=%CD%
set UPGRADE_SCRIPT=%~dp0

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @va_app_perm.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_78_to_79.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_78_to_79.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_78_to_79.sql

cd %UPGRADE_SCRIPT%\AccessRiskControlsForSAPBackend
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_48_to_49.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_18_to_19.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_18_to_19.sql

cd %UPGRADE_SCRIPT%\AuditHelper
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @audit_upgrade_38_to_39.sql

cd %UPGRADE_SCRIPT%\DeskBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @desk_upgrade_28_to_29.sql

cd %UPGRADE_SCRIPT%\EmailBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_28_to_29.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_28_to_29.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_28_to_29.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_28_to_29.sql

cd %UPGRADE_SCRIPT%\EnterpriseConnectorsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_38_to_39.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_38_to_39.sql

cd %UPGRADE_SCRIPT%\JobBackend
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_AA.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_AGC.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_AGC.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_ARC4S.sql
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_REPORT.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_28_to_29_on_REPORT.sql

cd %UPGRADE_SCRIPT%\Quartz
call "%CLPPLUS_CMD%" -nw igaqrz/%SCHEMA_PWD%@%DB2_SERVER% @quartz_upgrade_28_to_29.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @sk_upgrade_28_to_29.sql

cd %UPGRADE_SCRIPT%\SIB_IB_ILC
call "%CLPPLUS_CMD%" -nw itimuser/%SCHEMA_PWD%@%DB2_SERVER% @IB_ILC_upgrade.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\Survey
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @survey.sql

cd %UPGRADE_SCRIPT%\00-COMMON\Validation
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @db_objects_validation.sql

cd %CURRENT_DIR%

endlocal
