#!/bin/bash

if [ -z "$DB2_SERVER" ]; then
  export DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
fi

if [ -z "$SCHEMA_PWD" ]; then
  export SCHEMA_PWD=ideas
fi

if [ -z "$DB2_HOME" ]; then
  export DB2_HOME=/home/db2inst1/sqllib
fi

if [ -z "$CLPPLUS_CMD" ]; then
  export CLPPLUS_CMD=$DB2_HOME/bin/clpplus
fi

UPGRADE_SCRIPT=$(cd $(dirname $0) && pwd)
CURRENT_DIR=$PWD

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @va_app_perm.sql
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @agc_upgrade_78_to_79.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @agc_upgrade_78_to_79.sql
$CLPPLUS_CMD -nw ccscore/$SCHEMA_PWD@$DB2_SERVER @arc4s_upgrade_78_to_79.sql

cd $UPGRADE_SCRIPT/AccessRiskControlsForSAPBackend
$CLPPLUS_CMD -nw ccscore/$SCHEMA_PWD@$DB2_SERVER @arc4s_upgrade_48_to_49.sql

cd $UPGRADE_SCRIPT/AccessRequestsBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @arm_upgrade_18_to_19.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @arm_upgrade_18_to_19.sql

cd $UPGRADE_SCRIPT/AuditHelper
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @audit_upgrade_38_to_39.sql

cd $UPGRADE_SCRIPT/DeskBackend
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @desk_upgrade_28_to_29.sql

cd $UPGRADE_SCRIPT/EmailBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @es_upgrade_28_to_29.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @es_upgrade_28_to_29.sql

cd $UPGRADE_SCRIPT/ReportBackend
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @rd_upgrade_28_to_29.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @rd_upgrade_28_to_29.sql

cd $UPGRADE_SCRIPT/EnterpriseConnectorsBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @ec_upgrade_38_to_39.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @ec_upgrade_38_to_39.sql

cd $UPGRADE_SCRIPT/JobBackend
$CLPPLUS_CMD -nw aaadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_AA.sql
$CLPPLUS_CMD -nw aacore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_AA.sql
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_AGC.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_AGC.sql
$CLPPLUS_CMD -nw ccscore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_ARC4S.sql
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_REPORT.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @job_upgrade_28_to_29_on_REPORT.sql

cd $UPGRADE_SCRIPT/Quartz
$CLPPLUS_CMD -nw igaqrz/$SCHEMA_PWD@$DB2_SERVER @quartz_upgrade_28_to_29.sql

cd $UPGRADE_SCRIPT/TaskPlannerBackend
$CLPPLUS_CMD -nw igaserv/$SCHEMA_PWD@$DB2_SERVER @sk_upgrade_28_to_29.sql

cd $UPGRADE_SCRIPT/SIB_IB_ILC
$CLPPLUS_CMD -nw itimuser/$SCHEMA_PWD@$DB2_SERVER @IB_ILC_upgrade.sql

cd $UPGRADE_SCRIPT/AccessGovernanceCoreBackend
$CLPPLUS_CMD -nw igaadm/$SCHEMA_PWD@$DB2_SERVER @report_assignment.sql
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @report_assignment.sql

cd $UPGRADE_SCRIPT/ReportBackend
$CLPPLUS_CMD -nw repadm/$SCHEMA_PWD@$DB2_SERVER @revoke_from_agc.sql
$CLPPLUS_CMD -nw repcore/$SCHEMA_PWD@$DB2_SERVER @revoke_from_agc.sql

cd $UPGRADE_SCRIPT/Survey
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @survey.sql

cd $UPGRADE_SCRIPT/00-COMMON/Validation
$CLPPLUS_CMD -nw igacore/$SCHEMA_PWD@$DB2_SERVER @db_objects_validation.sql

cd $CURRENT_DIR
