#!/bin/bash

export DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
export SCHEMA_PWD=ideas
export DB2_HOME=/home/db2inst1/sqllib

if [ -z "$CLPPLUS_CMD" ]; then
  export CLPPLUS_CMD=$DB2_HOME/bin/clpplus
fi

UPGRADE_SCRIPT=$(cd $(dirname $0) && pwd)
CURRENT_DIR=$PWD

cd $UPGRADE_SCRIPT/_PREV_REL/migration_522
echo "*** STEP1: upgrading to 5.2.2 level ***"
echo "Current directory: $PWD"
./db2_update.sh

if [ $? -eq 0 ]; then

  cd $UPGRADE_SCRIPT/_PREV_REL/migration_523
  echo "*** STEP2: upgrading to 5.2.3 level ***"
  echo "Current directory: $PWD"
  ./db2_update.sh

  if [ $? -eq 0 ]; then

    cd $UPGRADE_SCRIPT/_PREV_REL/migration_524
    echo "*** STEP3: upgrading to 5.2.4 level ***"
    echo "Current directory: $PWD"
    ./db2_update.sh
    
     if [ $? -eq 0 ]; then

        cd $UPGRADE_SCRIPT/_PREV_REL/migration_525
    	echo "*** STEP4: upgrading to 5.2.5 level ***"
    	echo "Current directory: $PWD"
    	./db2_update.sh
    	
    	    
     	if [ $? -eq 0 ]; then

        	cd $UPGRADE_SCRIPT/_PREV_REL/migration_526
    		echo "*** STEP5: upgrading to 5.2.6 level ***"
    		echo "Current directory: $PWD"
    		./db2_update.sh
			
			if [ $? -eq 0 ]; then

				cd $UPGRADE_SCRIPT/_PREV_REL/migration_100
				echo "*** STEP6: upgrading to SVG 10.0 level ***"
				echo "Current directory: $PWD"
				./db2_update.sh
				
				if [ $? -eq 0 ]; then
					cd $UPGRADE_SCRIPT/_PREV_REL/migration_1001
					echo "*** STEP7: upgrading to SVG 10.0.1 level ***"
					echo "Current directory: $PWD"
					./db2_update.sh
		
					if [ $? -eq 0 ]; then

						cd $UPGRADE_SCRIPT
						echo "*** STEP8: upgrading to 10.0.2 level ***"
						echo "Current directory: $PWD"
						./db2_update.sh

					fi
				fi
			fi
  			
  		fi

  	fi

  fi

fi

cd $CURRENT_DIR
