declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat :=' 
CREATE TABLE CUSTOM_FILTER_ENTITY
(
  ID                             NUMBER(16)          NOT NULL,
  NAME                           VARCHAR2(128 CHAR),
  VALUE                    		 VARCHAR2(256 CHAR)
)
TABLESPACE &DATA_TABLESPACE
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE CUSTOM_FILTER_ENTITY
    ADD CONSTRAINT CUSTOM_FILTER_ENTITY_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


GRANT ALL ON CUSTOM_FILTER_ENTITY TO IDEAS;
GRANT ALL ON CUSTOM_FILTER_ENTITY TO IDEAS_CONNECTOR;
GRANT SELECT ON CUSTOM_FILTER_ENTITY TO IDEAS_REPORT;
GRANT SELECT ON CUSTOM_FILTER_ENTITY TO AA;


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE SEQUENCE CUSTOM_FILTER_ENTITY_SEQ
  START WITH 100
  INCREMENT BY 1
  MINVALUE 100
  MAXVALUE 999999999999999999999999999
  CACHE 1000
  NOCYCLE
  ORDER
    ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON CUSTOM_FILTER_ENTITY_SEQ TO IDEAS;
GRANT ALL ON CUSTOM_FILTER_ENTITY_SEQ TO IDEAS_CONNECTOR;
GRANT SELECT ON CUSTOM_FILTER_ENTITY_SEQ TO IDEAS_REPORT;
GRANT SELECT ON CUSTOM_FILTER_ENTITY_SEQ TO AA;

