declare
  rq_id            number(16);
  rq_name          varchar2(256) := 'Audit Account Change';
  rq_desc		   varchar2(256) := 'Query Audit_Data for Account Add, modify, remove, suspend, enable, match and unmatch operations';
  rqd              clob;
  counter          number(16);
begin

 rqd := 'select
'||' t.id as ID,
'||' t.audit_log as AUDIT_LOG,
'||' t.operator as OPERATOR,
'||' t.operator_id as OPERATOR_ID,
'||' t.event_id as EVENT_ID,
'||' t.event as EVENT,
'||' t.operation_code as OPERATION_CODE,
'||' t.event_date as EVENT_DATE,
'||' t.beneficiary_type as BENEFICIARY_TYPE,
'||' t.beneficiary_id as BENEFICIARY_ID,
'||' t.beneficiary as BENEFICIARY,
'||' t.beneficiary_attr1 as BENEFICIARY_ATTR1,
'||' t.beneficiary_attr2 as BENEFICIARY_ATTR2,
'||' t.beneficiary_attr3 as BENEFICIARY_ATTR3,
'||' t.beneficiary_attr4 as BENEFICIARY_ATTR4,
'||' t.beneficiary_attr5 as BENEFICIARY_ATTR5,
'||' t.metadata2_type as METADATA2_TYPE,
'||' t.metadata2_id as METADATA2_ID,
'||' t.metadata2 as METADATA2,
'||' t.metadata2_attr1 as METADATA2_ATTR1,
'||' t.metadata2_attr2 as METADATA2_ATTR2,
'||' t.metadata2_attr3 as METADATA2_ATTR3,
'||' t.metadata2_attr4 as METADATA2_ATTR4,
'||' t.metadata2_attr5 as METADATA2_ATTR5,
'||' t.attribute as ATTRIBUTE,
'||' t.old_value as OLD_VALUE,
'||' t.new_value as NEW_VALUE,
'||' t.source_type as SOURCE_TYPE,
'||' t.source_id as SOURCE_ID,
'||' t.source_name as SOURCE_NAME,
'||' t.status as STATUS,
'||' t.status_reason as STATUS_REASON,
'||' t.acted_as as ACTED_AS,
'||' t.acted_as_id as ACTED_AS_ID
'||' from #servschema#.audit_data t where t.event_id in (49,50,55,56,57,58,59,5,8,500,2000,2001,2002) and 
'||' t.OPERATOR = ''#OPERATOR#''  and 
'||' t.BENEFICIARY = ''#BENEFICIARY#''  and 
'||' t.ATTRIBUTE=''#ATTRIBUTE#'' and  
'||' t.STATUS IN (''#STATUS#'') and 
'||' t.SOURCE_TYPE IN (''#SOURCE_TYPE#'') and
'||' (t.BENEFICIARY_ATTR2 in (select t.name from  #pmschema#.application app, #pmschema#.target t where app.target = t.id and app.id in (select id from 
'||' #schema_tmp#.tmp_rep_application))) AND 
'||' (t.EVENT_DATE  between to_timestamp (''#START_DATE# '', ''#ideas_simpledate# hh24:mi:ss,ff6'') and to_timestamp (''#END_DATE#'', ''#ideas_simpledate# hh24:mi:ss,ff6'')) 
'||' ORDER BY t.AUDIT_LOG
';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  
  if ( counter = 1 ) then
     select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
     
	 update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
  if ( counter = 0 ) then
    select max(id) + 1 into rq_id from r_query t;

    insert into r_query ( id, name, description, product )
    values ( rq_id, rq_name, rq_desc, 1 );

    insert into r_query_data ( r_query, query )
    values ( rq_id, rqd );
   end if;
  
end;
/
commit;
