declare
	VARLOB  				CLOB;
	V_MAXID 				number(19);
	V_FLOW_ID1 				number(19);
	V_FLOW_ID2 				number(19);
	V_FL_EVENT_TYPE_ID 		number(19);
	V_IDEAS_MODULE 			number(19);
	V_ADD_ROLE_EXIST_CNT 	number(19);
	V_REM_ROLE_EXIST_CNT 	number(19);
begin
/*Add user role scope rules in the FLOW table for the eventype INTERNAL*/
  VARLOB := 'package tADD_USER_ROLE_SCOPE
'||'
'||'    import com.engiweb.logger.impl.Log4JImpl;
'||'    import com.engiweb.profilemanager.common.bean.UserBean;
'||'    import com.engiweb.profilemanager.common.bean.entitlement.EntitlementBean;
'||'    import com.engiweb.profilemanager.common.bean.event.EventInternalBean;
'||'    global com.engiweb.profilemanager.backend.dao.db.SQLH sql;
'||'    global com.engiweb.logger.impl.Log4JImpl logger;
'||'
';
	
	begin
		SELECT ID into V_FL_EVENT_TYPE_ID FROM FLOW_EVENT_TYPE WHERE name = 'INTERNAL';
	exception 
	when others then
		V_FL_EVENT_TYPE_ID:=null;
	end;
	
	begin
		SELECT ID into V_IDEAS_MODULE FROM IDEAS_MODULE im  WHERE im.NAME = 'ACCESSGOVERNANCECORE';
	exception
	when others then
		V_IDEAS_MODULE:=5;
	end;
	
	select count(1) into V_ADD_ROLE_EXIST_CNT from FLOW where NAME = 'ADD_USER_ROLE_SCOPE';
	 
	if ( V_FL_EVENT_TYPE_ID is not null and V_ADD_ROLE_EXIST_CNT = 0 ) then
		insert into FLOW (ID, FLOW_EVENT_TYPE, NAME, DESCRIPTION, STATE, FLOW_LOB, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE, SHARED_FLOW)
		values ((select max(ID)+1 from flow), V_FL_EVENT_TYPE_ID, 'ADD_USER_ROLE_SCOPE', null, 0, VARLOB, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE, null) RETURNING ID INTO V_FLOW_ID1;
	end if;

VARLOB := 'package tREMOVE_USER_ROLE_SCOPE
'||'
'||'    import com.engiweb.logger.impl.Log4JImpl;
'||'    import com.engiweb.profilemanager.common.bean.UserBean;
'||'    import com.engiweb.profilemanager.common.bean.entitlement.EntitlementBean;
'||'    import com.engiweb.profilemanager.common.bean.event.EventInternalBean;
'||'    global com.engiweb.profilemanager.backend.dao.db.SQLH sql;
'||'    global com.engiweb.logger.impl.Log4JImpl logger;
'||'
';
	select count(1) into V_REM_ROLE_EXIST_CNT from FLOW where NAME = 'REMOVE_USER_ROLE_SCOPE';
	
	if ( V_FL_EVENT_TYPE_ID is not null and V_REM_ROLE_EXIST_CNT = 0 ) then
		insert into FLOW (ID, FLOW_EVENT_TYPE, NAME, DESCRIPTION, STATE, FLOW_LOB, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE, SHARED_FLOW)
		values ((select max(ID)+1 from flow), V_FL_EVENT_TYPE_ID, 'REMOVE_USER_ROLE_SCOPE', null, 0, VARLOB, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE, null)  RETURNING ID INTO V_FLOW_ID2;
	end if;
  
	VARLOB := '';

/* Add user role scope rules for Before, Run and After*/
	if ( V_FLOW_ID1 is not null and V_ADD_ROLE_EXIST_CNT = 0 ) then
	
		select max(ID)+1 into V_MAXID from FLOW_ENTITY;
	
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID1, 1, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);

		select max(ID)+1 into V_MAXID  from FLOW_ENTITY;
	
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID1, 2, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);

		select max(ID)+1 into V_MAXID  from FLOW_ENTITY;
		
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID1, 3, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);
	end if;
/*  Remove user role scope rules for Before, Run and After*/
		
	if ( V_FLOW_ID2 is not null and V_REM_ROLE_EXIST_CNT = 0 ) then
	
		select max(ID)+1 into V_MAXID  from FLOW_ENTITY;
		
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID2, 1, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);
		
		select max(ID)+1 into V_MAXID  from FLOW_ENTITY;
		
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID2, 2, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);
		
		select max(ID)+1 into V_MAXID  from FLOW_ENTITY;
		
		insert into FLOW_ENTITY (ID, FLOW, FLOW_TYPE, ROOT, PARENT, FLOW_ENTITY_TYPE, FLOW_RULE, NAME, DESCRIPTION, SPLIT_LOB, POSITION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, CREATION_USER, CREATION_DATE, LAST_MOD_USER, LAST_MOD_TIME, IDEAS_MODULE)
		values (V_MAXID, V_FLOW_ID2, 3, V_MAXID, null, 0, null, null, null, VARLOB, 0, 0, null, null, null, null, null, '&IDEAS_VERSION', current_date, '&IDEAS_VERSION', current_date, V_IDEAS_MODULE);
	end if;
commit;
exception
when others then
	null; 
end;
/
