declare
  stat        varchar2(2048);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name
begin
  stat := '
		create table REQ_FILE_DATA(		 
		ID				number(16),
		FILENAME		varchar2(128),
		FILEDATA		blob,
		FILETYPE		varchar2(128),
		FILESIZE 		number(16),
		S_USER 			number(16) ,
		CURRENTROLE		varchar2(255),
		ARCHIVEDSTATUS	number(1) default 0 not null,
		CHECKSUM		varchar2(255),
		UPLOADEDON 		timestamp(6) default systimestamp
		)
		TABLESPACE &DATA_TABLESPACE';
  execute immediate (stat);
exception
  when exception1 then null;
end;
/

declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		create table REQ_FILE_ASSOC(ID number(16),REQUEST number(16),REQ_FILE_DATA number(16))
		TABLESPACE &DATA_TABLESPACE ';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/
---------Primary Key Contraints----------

declare
  stat        varchar2(256);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
	stat := 'alter table REQ_FILE_DATA add (
			constraint RFD_FILEID_PK
			primary key (ID)
			using index tablespace &INDEX_TABLESPACE compute statistics)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

declare
  stat        varchar2(256);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
	stat := 'alter table REQ_FILE_ASSOC add (
			constraint RFD_REQFILEID_PK
			primary key (ID)
			using index tablespace &INDEX_TABLESPACE compute statistics)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

--------------------------Foreign Key Contraints-------------


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- The name of the object to be created is identical to the existing name

begin
  stat := 'alter table REQ_FILE_DATA ADD (
		   constraint RFD_USERID_FK
		   foreign key (S_USER)
		   references S_USER (ID)
           on delete set null)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- The name of the object to be created is identical to the existing name

begin
  stat := 'alter table REQ_FILE_ASSOC ADD (
		   constraint RFA_FILEID_FK
		   foreign key (REQ_FILE_DATA)
		   references REQ_FILE_DATA (ID)
           on delete set null)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- The name of the object to be created is identical to the existing name

begin
  stat := 'alter table REQ_FILE_ASSOC ADD (
		   constraint RFA_REQUESTID_FK
		   foreign key (REQUEST)
		   references REQUEST (ID)
           on delete cascade)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

---------------------------Sequences-------

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name

begin
  stat := 'create sequence REQ_FILE_DATA_SEQ
		  start with 1
		  increment by 1
		  minvalue 1
		  maxvalue 999999999999999999999999999
		  nocache
          nocycle
          noorder';	

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name

begin
  stat := 'create sequence REQ_FILE_ASS_SEQ
		  start with 1
		  increment by 1
		  minvalue 1
		  maxvalue 999999999999999999999999999
		  nocache
          nocycle
          noorder';	

  execute immediate (stat);

exception
  when exception1 then null;
end;
/
