declare
  stat        varchar2(2048);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name
begin
  stat := '
		CREATE TABLE ENTITLEMENT_HIER_REVIEW_H
		(	ID NUMBER(16) NOT NULL,
			ENTITLEMENT_REVIEW_H NUMBER(16),
			ENTITLEMENT NUMBER(16), 
			ENTITLEMENT_NAME VARCHAR2(256),
			HIER_TYPE NUMBER(1), 
			HIER_ENTITLEMENT_ID NUMBER(16), 
			HIER_ENTITLEMENT_NAME VARCHAR2(256),
			ATTESTATION_NAME VARCHAR2(256), 
			INT_TYPE NUMBER(16)
		)
		TABLESPACE &DATA_TABLESPACE';
  execute immediate (stat);
exception
  when exception1 then null;
end;
/

---------Primary Key Contraints----------

declare
  stat        varchar2(256);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
	stat := 'alter table ENTITLEMENT_HIER_REVIEW_H add (
			constraint ENTITLEMENT_HIER_REVIEW_H_PK
			primary key (ID)
			using index tablespace &INDEX_TABLESPACE compute statistics)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

--------------------------Foreign Key Contraints-------------


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- The name of the object to be created is identical to the existing name

begin
  stat := 'alter table ENTITLEMENT_HIER_REVIEW_H ADD (
		   constraint ENTITLEMENT_HIER_REVIEW_H_FK
		   foreign key (ENTITLEMENT_REVIEW_H)
		   references ENTITLEMENT_REVIEW_H (ID)
           on delete set null)';

  execute immediate (stat);

exception
  when exception1 then null;
end;
/

---------------------------Sequences-------

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name

begin
  stat := 'create sequence ENTITLEMENT_HIER_REVIEW_H_SEQ
		  start with 1
		  increment by 1
		  minvalue 1
		  maxvalue 999999999999999999999999999
		  nocache
          nocycle
          noorder';	

  execute immediate (stat);

exception
  when exception1 then null;
end;
/
