declare
  stat        varchar2(2048);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-00955);

begin
  stat := '
		create table CONNECTOR_FILTERS(		 
		ID	NUMBER(16) NOT NULL,		
		CONNECTOR NUMBER(16) NOT NULL,
		ENABLED NUMBER(1) DEFAULT 0 NOT NULL,
		FILTER_TYPE NUMBER(1) DEFAULT 0 NOT NULL,
		FILTER_SUB_TYPE NUMBER(1) DEFAULT 0 NOT NULL,
		FILTER_DATA VARCHAR2(512),
		CREATION_USER VARCHAR2(128),
		CREATION_DATE DATE DEFAULT SYSDATE,
		LAST_MOD_USER VARCHAR2(128),
		LAST_MOD_TIME DATE DEFAULT SYSDATE		
		)
		TABLESPACE &DATA_TABLESPACE
		';
  

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


---------Primary Key Contraints----------

declare
  stat        varchar2(256);
  exception1  exception;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
		alter table CONNECTOR_FILTERS 
		add ( constraint CONNECTOR_FILTERS_PK
		primary key (ID)
		using index tablespace &INDEX_TABLESPACE compute statistics)
		
	';
  

  execute immediate (stat);

exception
  when exception1 then null;

end;
/



--------------------------Foreign Key Contraints-------------


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- The name of the object to be created is identical to the existing name

begin
  stat := '
		alter table CONNECTOR_FILTERS
		add ( constraint CONNECTOR_FILTERS_FK foreign key(CONNECTOR)
		references CONNECTOR(ID)
		on delete cascade )
';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

---------------------------Sequences-------

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- The name of the object to be created is identical to the existing name

begin
  stat :='
		create sequence REQ_CONNECTOR_FILTERS_SEQ		
		start with 1
		increment by 1
		minvalue 1
		maxvalue 999999999999999999
		nocache
		nocycle
		noorder
    ';	
  execute immediate (stat);

exception
  when exception1 then null;

end;
/