declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD DELETABLE NUMBER(1) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD REPRESENTED_BY NUMBER(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD REDIRECTED_BY NUMBER(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE ARM_AUTH_S_USER
    ADD RED_REPRESENTED_BY NUMBER(16) DEFAULT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
ALTER TABLE ARM_AUTH_S_USER ADD (
  CONSTRAINT ARM_AUTH_SU_REP_FK
  FOREIGN KEY (REPRESENTED_BY)
  REFERENCES S_USER (ID)
  ON DELETE SET NULL)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
ALTER TABLE ARM_AUTH_S_USER ADD (
  CONSTRAINT ARM_AUTH_SU_RED_FK
  FOREIGN KEY (REDIRECTED_BY)
  REFERENCES S_USER (ID)
  ON DELETE SET NULL)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table
  
begin
  stat := '
ALTER TABLE ARM_AUTH_S_USER ADD (
  CONSTRAINT ARM_AUTH_SU_RED_REP_FK
  FOREIGN KEY (RED_REPRESENTED_BY)
  REFERENCES S_USER (ID)
  ON DELETE SET NULL)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/