declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_ADAPTER_OPERATIONS
  (
    ID 				VARCHAR2(256)   NOT NULL,
    PROFILE_NAME 	VARCHAR2(256)   NOT NULL,
    NAME 			VARCHAR2(256)   NOT NULL,
    OPERATION 		VARCHAR2(100)   NOT NULL,
    CONFIG 			CLOB 		    NOT NULL,
    ASSEMBLYLINE 	CLOB 		    NOT NULL,
    CREATED_TIME 	TIMESTAMP 		DEFAULT CURRENT_TIMESTAMP NOT NULL
  )
    LOB (CONFIG) STORE AS
      (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRAO_CONFIG_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
      )
    LOB (ASSEMBLYLINE) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRAO_ASSEMBLYLINE_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_ADAPTER_OPERATIONS ADD (
    CONSTRAINT IB_RE_ADAPTER_OPERATIONS_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX ADAPTER_OPER_PROFILE_NAME_IDX ON IB_RE_ADAPTER_OPERATIONS 
  (PROFILE_NAME) 
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX ADAPTER_OPER_NAME_IDX ON IB_RE_ADAPTER_OPERATIONS 
  (NAME) 
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_ADAPTER_OPERATIONS TO ITIMUSER;
GRANT SELECT ON IB_RE_ADAPTER_OPERATIONS TO IDEAS_REPORT;

