declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_FORM_TEMPLATES
  ( 
    ID 				VARCHAR2(256)   NOT NULL,
    NAME 			VARCHAR2(256)   NOT NULL,
    CUSTOM_CLASS 	VARCHAR2(256)   NOT NULL,
    FORM 			CLOB 		    NOT NULL,
    CREATED_TIME 	TIMESTAMP 	    DEFAULT CURRENT_TIMESTAMP NOT NULL
  )
    LOB (FORM) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRFT_FORM_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_FORM_TEMPLATES ADD (
    CONSTRAINT IB_RE_FORM_TEMPLATES_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_FORM_TEMPLATES TO ITIMUSER;
GRANT SELECT ON IB_RE_FORM_TEMPLATES TO IDEAS_REPORT;

