declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_SERVICE_PROFILES
  (
    ID 				VARCHAR2(1024) 	NOT NULL,
    NAME 			VARCHAR2(256) 	NOT NULL,
    CUSTOM_CLASS 	VARCHAR2(256) 	NOT NULL,
    CATEGORY 		VARCHAR2(256) 	NOT NULL,
    PROFILE 		CLOB 			NOT NULL,
    CREATED_TIME 	TIMESTAMP 		DEFAULT CURRENT_TIMESTAMP NOT NULL
  )
    LOB (PROFILE) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRSP_PROFILE_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_PROFILES ADD (
    CONSTRAINT IB_RE_SERVICE_PROFILES_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX SERVICE_PROF_NAME_IDX ON IB_RE_SERVICE_PROFILES 
  (NAME) 
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX SERVICE_PROF_CUST_CLASS_IDX ON IB_RE_SERVICE_PROFILES 
  (CUSTOM_CLASS) 
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_SERVICE_PROFILES TO ITIMUSER;
GRANT SELECT ON IB_RE_SERVICE_PROFILES TO IDEAS_REPORT;

