declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_SERVICE_STATUS 
  (
  SERVICE_ID 	VARCHAR2(256) NOT NULL,
  STATUS 		CLOB
  )
    LOB (STATUS) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRSS_STATUS_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_STATUS ADD (
    CONSTRAINT IB_RE_SERVICE_STATUS_PK PRIMARY KEY (SERVICE_ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE IB_RE_SERVICE_STATUS ADD (
   CONSTRAINT FK_INV_SERVICE_ID
   FOREIGN KEY (SERVICE_ID)
   REFERENCES IB_RE_SERVICES (ID) ON DELETE CASCADE
  )
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_SERVICE_STATUS TO ITIMUSER;
GRANT SELECT ON IB_RE_SERVICE_STATUS TO IDEAS_REPORT;

