declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_GROUPS
  (
    EXTERNAL_ID 		VARCHAR2(256) 		NOT NULL,
    ID 					VARCHAR2(1024),
    TARGET_ID 			VARCHAR2(256),
    DISPLAY_NAME 		VARCHAR2(1024),
    DISPLAY_NAME_LOWER 	VARCHAR2(1024) 		GENERATED ALWAYS AS (LOWER(DISPLAY_NAME)) ,
    CREATED_TIME 		VARCHAR2(256),
    LAST_MODIFIED_TIME 	VARCHAR2(256),
    EXTERNAL_ATTRS 		CLOB 				NOT NULL,
    PROFILE_URL 		VARCHAR2(256),
    DN 					VARCHAR2(1024) 		NOT NULL UNIQUE,
    DIGEST 				VARCHAR2(64) 		NOT NULL,
    VERSION 			NUMBER(38)
  )
    LOB (EXTERNAL_ATTRS) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRG_EXTERNAL_ATTRS_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_GROUPS ADD (
    CONSTRAINT IB_RE_GROUPS_PK PRIMARY KEY (EXTERNAL_ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX GROUP_TARGET_ID_IDX ON IB_RE_GROUPS 
  (TARGET_ID, ID)
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX GROUP_TAR_DISP_NAME_LOWER_IDX ON IB_RE_GROUPS 
  (TARGET_ID, DISPLAY_NAME_LOWER)
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_GROUPS TO ITIMUSER;
GRANT SELECT ON IB_RE_GROUPS TO IDEAS_REPORT;

