declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_GROUP_MEMBERS 
  ( 
    GROUP_EXTERNAL_ID 		VARCHAR2(256),
    MEMBER_EXTERNAL_ID 		VARCHAR2(256),
    TYPE 					VARCHAR2(64)
  )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE IB_RE_GROUP_MEMBERS ADD (
    CONSTRAINT FK_INV_GROUP_ID
   FOREIGN KEY (GROUP_EXTERNAL_ID)
   REFERENCES IB_RE_GROUPS (EXTERNAL_ID) ON DELETE CASCADE
)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX GROUP_GROUP_ID_IDX ON IB_RE_GROUP_MEMBERS
  (GROUP_EXTERNAL_ID) 
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_GROUP_MEMBERS TO ITIMUSER;
GRANT SELECT ON IB_RE_GROUP_MEMBERS TO IDEAS_REPORT;

