declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_SUPPORTING_DATA
  (
    EXTERNAL_ID 			VARCHAR2(256) 	NOT NULL,
    ID 						VARCHAR2(1024),
    NAME 					VARCHAR2(1024) 	NOT NULL,
    OBJECT_CLASS 			VARCHAR2(256) 	NOT NULL,
    TARGET_ID 				VARCHAR2(128) 	NOT NULL,
    SUPPORTING_DATA_JSON 	CLOB 			NOT NULL,
    DIGEST 					VARCHAR2(64) 	NOT NULL,
    CREATED_TIME 			TIMESTAMP 		DEFAULT CURRENT_TIMESTAMP NOT NULL,
    UPDATED_TIME 			TIMESTAMP
  )
    LOB (SUPPORTING_DATA_JSON) STORE AS
    (
      TABLESPACE   &LOB_TABLESPACE
      ENABLE       STORAGE IN ROW
      CHUNK        8192
      NOCACHE
      INDEX IRSD_SUPPORTING_DATA_OBJ_IDX
      (
        TABLESPACE &LOB_TABLESPACE
      )
    )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_SUPPORTING_DATA ADD (
    CONSTRAINT IB_RE_SUPPORTING_DATA_PK PRIMARY KEY (EXTERNAL_ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX IB_RE_SUPPORTING_DATA_NAME ON IB_RE_SUPPORTING_DATA
  (NAME)
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX IB_RE_SUPPORTING_DATA_TARGETID ON IB_RE_SUPPORTING_DATA
  (TARGET_ID)
  REVERSE
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_SUPPORTING_DATA TO ITIMUSER;
GRANT SELECT ON IB_RE_SUPPORTING_DATA TO IDEAS_REPORT;

