declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE IB_RE_USER_ATTRS (
    ID 					VARCHAR2(256) 	NOT NULL,
    USER_EXTERNAL_ID 	VARCHAR2(256) 	NOT NULL,
    TARGET_ID 			VARCHAR2(256) 	NOT NULL,
    RELATION 			VARCHAR2(256) 	NOT NULL,
    VALUE 				VARCHAR2(1024),
    TYPE 				VARCHAR2(128),
    PRIM	 			VARCHAR2(8),
    DISPLAY 			VARCHAR2(256),
    REF 				VARCHAR2(512)
  )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_USER_ATTRS ADD (
    CONSTRAINT IB_RE_USER_ATTRS_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE IB_RE_USER_ATTRS ADD (
    CONSTRAINT IB_FK_RUAU_EXTERNAL_ID
   FOREIGN KEY (USER_EXTERNAL_ID)
   REFERENCES IB_RE_USERS (EXTERNAL_ID) ON DELETE CASCADE
  )
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_USER_ATTRS TO ITIMUSER;
GRANT SELECT ON IB_RE_USER_ATTRS TO IDEAS_REPORT;

