declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE IB_ACCOUNT_DELTAS
    ADD SHORT_TRACE VARCHAR2(1024 BYTE)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(512);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object

begin
  stat := '
  ALTER TABLE IB_ACCOUNT_DELTAS
    ADD TRACE CLOB
  LOB (TRACE) STORE AS
  (
    TABLESPACE   &LOB_TABLESPACE
    ENABLE       STORAGE IN ROW
    CHUNK        8192
    NOCACHE
    INDEX IB_ACCOUNT_DELTAS_TRACE_IDX
    (
      TABLESPACE &LOB_TABLESPACE
    )
  )
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/