declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- name is already used by an existing object
 
begin
  stat := '
  ALTER TABLE CHANGELOG
    ADD PWDMANAGEMENT_FOR_DELETE NUMBER(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02443); -- nonexistent constraint

begin
  stat := '
  ALTER TABLE CHANGELOG
  DROP CONSTRAINT CHANGELOG_PWDMANAGEMENT_FK
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE CHANGELOG
   ADD CONSTRAINT CHANGELOG_PWDMANAGEMENT_FK
   FOREIGN KEY (PWDMANAGEMENT)
   REFERENCES PWDMANAGEMENT (ID)
   ON DELETE SET NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object
 
begin
  stat := '
  CREATE INDEX CHLOG_PWDMANFORDELETE_IDX ON CHANGELOG
  (PWDMANAGEMENT_FOR_DELETE)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object
 
begin
  stat := '
  CREATE INDEX CHLOG_PWDMAN_IDX ON CHANGELOG
  (PWDMANAGEMENT)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/