declare
  stat        varchar2(2048);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE TABLE SOURCE_INFO
  (
  	ID                             NUMBER(16)         NOT NULL,
  	ENTITY                         NUMBER(16),
  	ENTITY_ID                      NUMBER(16),
  	SOURCE_TYPE					   NUMBER(16),
  	SOURCE_ID					   NUMBER(16),
  	SOURCE_NAME					   VARCHAR2(256),
	ACTION_TYPE					   VARCHAR2(256),
  	ACTION_CAUSE				   VARCHAR2(256),
  	STATE                          NUMBER(16)         DEFAULT 0,
  	ATTR1                          VARCHAR2(256),
  	ATTR2                          VARCHAR2(256),
  	ATTR3                          VARCHAR2(256),
  	ATTR4                          VARCHAR2(256),
  	ATTR5                          VARCHAR2(256),
  	LAST_MOD_USER                  VARCHAR2(128),
  	LAST_MOD_TIME                  DATE                DEFAULT SYSDATE
  )
  TABLESPACE &DATA_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE SOURCE_INFO
    ADD CONSTRAINT SOURCE_INFO_PK PRIMARY KEY (ID)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON SOURCE_INFO TO IDEAS;
GRANT ALL ON SOURCE_INFO TO IDEAS_CONNECTOR;

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE SEQUENCE SOURCE_INFO_SEQ
    START WITH 1
    INCREMENT BY 1
    MINVALUE 1
    MAXVALUE 999999999999999999999999999
    NOCACHE
    NOCYCLE
    NOORDER
    ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON SOURCE_INFO_SEQ TO IDEAS;
GRANT ALL ON SOURCE_INFO_SEQ TO IDEAS_CONNECTOR;
