declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_TYPE VARCHAR2(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_ID NUMBER(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD SOURCE_NAME VARCHAR2(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD STATUS VARCHAR2(64) DEFAULT ''N/A''
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE AUDIT_LOG
    ADD STATUS_REASON VARCHAR2(256) DEFAULT ''N/A''
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

COMMENT ON COLUMN AUDIT_LOG.SOURCE_TYPE IS
'Used to represent the type of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.SOURCE_ID IS
'Used to represent the id of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.SOURCE_NAME IS
'Used to represent the name of the source which created the event';

COMMENT ON COLUMN AUDIT_LOG.STATUS IS
'Used to represent the status of the operation';

COMMENT ON COLUMN AUDIT_LOG.STATUS_REASON IS
'Used to represent the reason of an operation failure';
